#!/bin/sh
# Копирование текущего блэклиста в архив и вычищение дупов.
# Блэклист лучше ежедневно перемещать в архив, подключив в MTA
# как текущий список блокировки, так и архивный.

. shell-error

[ -f /etc/spam_check/arc_bl.conf ] && . /etc/spam_check/arc_bl.conf || fatal "Failed to source config file."

rm -f "$arc_blocklist_name.new"
cat "$blocklist_path/$current_blocklist_name" "$blocklist_path/$arc_blocklist_name" \
	| sort -t' ' -k1 | uniq --check-chars=15 > "$blocklist_path/$arc_blocklist_name.new"
mv -f "$blocklist_path/$arc_blocklist_name.new" "$blocklist_path/$arc_blocklist_name"

cat /dev/null > "$blocklist_path/$current_blocklist_name"

$postmap "$blocklist_path/$current_blocklist_name"
$postmap "$blocklist_path/$arc_blocklist_name"
$postmap "$blocklist_path/$arc_blocklist_name.1"
$postmap "$blocklist_path/$arc_blocklist_name.2"
$postmap "$blocklist_path/$arc_blocklist_name.3"
$postmap "$blocklist_path/$arc_blocklist_name.4"
