#!/bin/sh
# Копирование блэклистов на RBL сервер

. shell-error

[ -f /etc/spam_check/copy_bl.conf ] && . /etc/spam_check/copy_bl.conf || fatal "Failed to source config file."

cd "$blocklist_path"

cp -f "$arc_blocklist_name" $host-block_list
cat /dev/null > block_list_arc
$postmap block_list_arc

bzip2 $host-block_list
scp $host-block_list.bz2 $remote_user@$remote_host:$remote_path/$host-block_list-$curdate.bz2
mv $host-block_list.bz2 /var/lib/spam_check/$host-block_list-$curdate.bz2
